<?php

namespace Src\Common\Interfaces;

use Src\Common\Interfaces\Pages\IFactory as IPagesFactory;
use Src\Common\Interfaces\Dto\IFactory as IDtoFactory;
use Src\Common\Interfaces\Application\IFilesBrowser;

interface IFactory
{
    public function init(array $conf = []): void;
    public function getPagesFactory(): IPagesFactory;
    public function getDtoFactory(): IDtoFactory;
    public function getFilesBrowser(): IFilesBrowser;
}
